Subject: Re: [bug-diffutils] bug#28796: diff 3.6 still reports a diff on identical lines

From: Vincent Lefevre <[email-masked]>
Date: Mon, 23 Oct 2017 13:54:36 +0200

On 2017-10-16 01:32:46 -0700, Paul Eggert wrote:
> Vincent Lefevre wrote:
> > On some pair of files, "diff" reports a diff on identical lines.
> 
> Yes, that's a problem, though strictly speaking not a bug. You can use the
> --minimal option to avoid this problem. No doubt there's an efficient way to
> change "diff" to avoid this particular problem even when --minimal is not
> used, although that will take a bit of thinking.

OK. This would be useful, as --minimal is overkill on my original
files (15.87s with --minimal, 2.73s without it), even though I can
afford to waste a bit of time in the rare cases I need to do such
a diff on huge files.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)